Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004588 [JEDI VCL] 00 JVCL Components minor always 2008-11-17 03:35 2009-10-03 19:09
Reporter wesson View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004588: JvAppIniStorage: Render it completely unicode compliant
Description JvAppIniStorage uses internally a TMemIniFile which load/save data as Ansi

So, ini files created are not unicode compliant (they need their codepage to convert them to unicode)

make it fully unicode compliant, taking into account the TMemIniFile bug in Delphi that prevent them to properly detect UTF-8 prefix
Additional Information proposed patch attached
Tags No tags attached.
Attached Files ? file icon JvAppIniStorage_utf8_as_default.patch [^] (648 bytes) 2008-11-17 03:35

- Relationships

-  Notes
(0015148)
obones (administrator)
2008-12-22 05:21

Better add a new public property with the encoding for anyone to use.
(0016237)
AHUser (developer)
2009-10-03 19:09

Added new property Encoding: TEncoding.

- Issue History
Date Modified Username Field Change
2008-11-17 03:35 wesson New Issue
2008-11-17 03:35 wesson File Added: JvAppIniStorage_utf8_as_default.patch
2008-11-18 08:24 obones Status new => acknowledged
2008-12-03 16:27 jfudickar Issue Monitored: jfudickar
2008-12-22 05:21 obones Note Added: 0015148
2008-12-22 05:21 obones Status acknowledged => confirmed
2009-10-03 19:09 AHUser Note Added: 0016237
2009-10-03 19:09 AHUser Status confirmed => resolved
2009-10-03 19:09 AHUser Fixed in Version => Daily / SVN
2009-10-03 19:09 AHUser Resolution open => fixed
2009-10-03 19:09 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker